=== itest-aux/Makefile ===
all:

clean:
	rm -f simple simple.exe *.cmi *.cmo *.cma *.cmx *.o *.a
	rm -f err.out
	rm -f testdb*
