=== debian/changelog ===
findlib (1.5.5-2build1) xenial; urgency=medium

  * Rebuild against bootstrapped ocaml on s390x to fix ocamlfind segfault.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jan 2016 09:54:00 +0000

findlib (1.5.5-2) unstable; urgency=medium

  * Add `directory' directive to META.bytes
  * Bump debhelper compat level to 9
  * Delete obsolete README.source
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Oct 2015 11:49:01 +0200

findlib (1.5.5-1) experimental; urgency=medium

  * New upstream release
    - compile with OCaml 4.02.1
    - compile without camlp4, drop camlp4 patches
    - compile without labltk, drop wizard
    - install findlib.cmxs
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 18 Feb 2015 10:10:42 +0100
