=== debian/control ===
Source: findlib
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>,
 Stéphane Glondu <glondu@debian.org>,
 Nicolas Dandrimont <nicolas.dandrimont@crans.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 4.02.1),
 ocaml,
 m4,
 gawk | awk,
 dh-ocaml (>= 0.9~)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/findlib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/findlib.git
Homepage: http://projects.camlcity.org/projects/findlib.html

Package: ocaml-findlib
Architecture: any
Depends:
 libfindlib-ocaml,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 camlp4
Recommends: libfindlib-ocaml-dev
Provides: ${ocaml:Provides}
Description: management tool for OCaml libraries
 The "findlib" OCaml library provides a scheme to manage reusable
 software components (packages), and includes tools that support this
 scheme. Packages are collections of OCaml modules for which
 metainformation can be stored. The packages are kept in the
 filesystem hierarchy, but with strict directory structure. The
 library contains functions to look the directory up that stores a
 package, to query metainformation about a package, and to retrieve
 dependency information about multiple packages.
 .
 This package contains a tool (ocamlfind) that allows the user to
 enter queries on the command-line. In order to simplify compilation
 and linkage, there are new frontends, all driven by ocamlfind, for
 the various OCaml compilers that can directly deal with packages.

Package: libfindlib-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Provides: ${ocaml:Provides}
Replaces: ocaml-findlib (<< 1.2.4-3)
Breaks: ocaml-findlib (<< 1.2.4-3)
Description: library for managing OCaml libraries (development files)
 The "findlib" OCaml library provides a scheme to manage reusable
 software components (packages), and includes tools that support this
 scheme. Packages are collections of OCaml modules for which
 metainformation can be stored. The packages are kept in the
 filesystem hierarchy, but with strict directory structure. The
 library contains functions to look the directory up that stores a
 package, to query metainformation about a package, and to retrieve
 dependency information about multiple packages.
 .
 This package contains development files needed to compile programs
 using findlib.

Package: libfindlib-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: ocaml-findlib (<< 1.2.4-3)
Breaks: ocaml-findlib (<< 1.2.4-3)
Description: library for managing OCaml libraries (runtime)
 The "findlib" OCaml library provides a scheme to manage reusable
 software components (packages), and includes tools that support this
 scheme. Packages are collections of OCaml modules for which
 metainformation can be stored. The packages are kept in the
 filesystem hierarchy, but with strict directory structure. The
 library contains functions to look the directory up that stores a
 package, to query metainformation about a package, and to retrieve
 dependency information about multiple packages.
 .
 This package contains files that are or may be needed at runtime by
 programs using findlib (META files and dynamically-loadable files).
