=== debian/watch ===
version=3
opts=dversionmangle=s/\+debian\d*$//,uversionmangle=s/&#48\x3b/0/g \
http://download.camlcity.org/download/findlib-(\d+\..*)\.tar\.gz
