=== debian/changelog ===
findlib (1.6.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 Jun 2016 13:04:26 +0200
