=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  m4,
  gawk | awk,
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/findlib.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/findlib.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/findlib.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/findlib.git
 Homepage: http://projects.camlcity.org/projects/findlib.html
 
 Package: ocaml-findlib
