=== debian/rules ===
--- 
+++ 
@@ -33,14 +33,6 @@
 	grep -v \\.opt debian/tmp/etc/ocamlfind.conf > debian/ocamlfind.conf.new
 	sed -i -e 's/@OCamlABI@/$(OCAML_ABI)/g' debian/ocamlfind.conf.new
 	mv debian/ocamlfind.conf.new debian/tmp/etc/ocamlfind.conf
-# mv METAs from empty directories to the /META directory
-	mkdir -p $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)/METAS
-	for p in `ls site-lib-src/`; do \
-	  mv $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)/$$p/META \
-	    $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)/METAS/META.$$p; \
-	  rmdir $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)/$$p/; \
-	done
-	echo 'directory="^"' >> $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)/METAS/META.bytes
 # rm empty man3 dir
 	test -d $(CURDIR)/debian/tmp/usr/share/man/man3 && \
 		rmdir $(CURDIR)/debian/tmp/usr/share/man/man3
@@ -54,7 +46,6 @@
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	if [ -f Makefile.config ]; then $(MAKE) clean; fi
-	-find . -name META -delete
 	-rm -f Makefile.config ocargs.log src/findlib/ocaml_args.ml
 	-rm -Rf site-lib-src/camlp4/
