## findlib 1.7.1

=== debian/changelog ===
findlib (1.7.1-2) experimental; urgency=medium

  * Fix build on non-dynlink arches.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Mar 2017 00:07:03 +0100

findlib (1.7.1-1) experimental; urgency=medium

  * Add myself to Uploaders.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Mar 2017 15:36:40 +0100

findlib (1.6.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 20 Oct 2016 18:56:58 +0200
