=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
- Nicolas Dandrimont <nicolas.dandrimont@crans.org>
+ Nicolas Dandrimont <nicolas.dandrimont@crans.org>,
+ Ximin Luo <infinity0@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 4.02.1),
+ bash-completion,
+ ocaml-nox (>= 4.03.0),
  ocaml,
  m4,
  gawk | awk,
