=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/ocaml/ocamlvars.mk
 
 %:
-	dh $@ --with ocaml
+	dh $@ --with ocaml,bash-completion
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
@@ -25,6 +25,14 @@
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
 	$(MAKE) opt
 endif
+
+ifeq ($(DEB_BUILD_ARCH_BITS),64)
+  OCAMLINIT_SED += -e 's/^64: //'
+else
+  OCAMLINIT_SED += -e '/^64: /d'
+endif
+
+export OCAMLINIT_SED
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
@@ -51,4 +59,4 @@
 
 .PHONY: override_dh_install
 override_dh_install:
-	dh_install --fail-missing
+	dh_install --fail-missing -Xocamlbuild/META
