=== debian/changelog ===
findlib (1.7.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Remove Nicolas Dandrimont from Uploaders as requested by him.

 -- Ximin Luo <infinity0@debian.org>  Sat, 16 Sep 2017 13:54:42 +0200

findlib (1.7.3-1) experimental; urgency=medium

  * New upstream release.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Sat, 29 Jul 2017 16:09:53 +0200
