=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
- Nicolas Dandrimont <nicolas.dandrimont@crans.org>,
  Ximin Luo <infinity0@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -15,7 +14,7 @@
  m4,
  gawk | awk,
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/findlib.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/findlib.git
 Homepage: http://projects.camlcity.org/projects/findlib.html
