=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,9 @@
 	$(MAKE) opt
 endif
 
-ifeq ($(DEB_BUILD_ARCH_BITS),64)
-  OCAMLINIT_SED += -e 's/^64: //'
-else
-  OCAMLINIT_SED += -e '/^64: /d'
+# Some platforms don't have raw_spacetime, do the same check as ./configure
+ifeq (,$(wildcard $(OCAML_STDLIB_DIR)/raw_spacetime_lib.cmxa))
+  OCAMLINIT_SED += -e '\,raw_spacetime/META,d'
 endif
 
 export OCAMLINIT_SED
