=== debian/changelog ===
findlib (1.8.1-1build3) focal; urgency=medium

  * No-change rebuild against OCaml 4.08.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 14 Feb 2020 22:41:27 -0500

findlib (1.8.1-1build2) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Sep 2019 11:42:43 +0200

findlib (1.8.1-1build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 13:02:21 +0200

findlib (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2019 05:12:17 +0200
