=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
  Stéphane Glondu <glondu@debian.org>,
  Ximin Luo <infinity0@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  bash-completion,
  ocaml-nox (>= 4.03.0),
  ocaml,
  m4,
  gawk | awk,
  dh-ocaml (>= 0.9~)
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/findlib.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/findlib.git
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/ocaml-team/findlib.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/findlib
 Homepage: http://projects.camlcity.org/projects/findlib.html
 
 Package: ocaml-findlib
