=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,14 @@
 	-rm -f Makefile.config ocargs.log src/findlib/ocaml_args.ml
 	-rm -Rf site-lib-src/camlp4/
 
-.PHONY: override_dh_install
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_dwz:
+
 override_dh_install:
-	dh_install --fail-missing -Xocamlbuild/META
+# temporary hack to make the package work with both OCaml 4.05.0 and 4.08.0
+	if ! [ -f $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)/num/META ]; then \
+	  sed -i /num/d debian/*.install; \
+	fi
+	dh_install
