=== debian/changelog ===
findlib (1.9.1-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes (riscv64).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Jan 2022 11:35:06 +0100

findlib (1.9.1-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:19:40 +0100

findlib (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 15 Dec 2021 08:15:55 +0100

findlib (1.8.1-2) unstable; urgency=medium

  * Cope with OCaml 4.11.1 not installing graphics any more
  * Remove patches no longer relevant as of OCaml 4.11.0
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 07:21:46 +0200
