=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Stéphane Glondu <glondu@debian.org>,
  Ximin Luo <infinity0@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  bash-completion,
- ocaml-nox (>= 4.03.0),
+ ocaml-nox (>= 4.11.1),
  ocaml,
- m4,
  gawk | awk,
- dh-ocaml (>= 0.9~)
-Standards-Version: 4.4.0
+ dh-ocaml
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/findlib.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/findlib
 Homepage: http://projects.camlcity.org/projects/findlib.html
