## findlib 1.9.3

=== Makefile ===
--- 
+++ 
@@ -90,8 +90,8 @@
       if [ -f "$(prefix)$(OCAML_SITELIB)/$$x/META" ]; then \
         if ! grep -Fq '[distributed with Ocaml]' "$(prefix)/$(OCAML_SITELIB)/$$x/META"; then \
           rm -f site-lib-src/$$x/META; \
-        fi \
-      fi \
+        fi; \
+      fi; \
     done; \
     test -f "site-lib-src/num/META" || rm -f "site-lib-src/num-top/META"; \
   fi
@@ -102,7 +102,7 @@
 
 .PHONY: install-meta
 install-meta:
-	for x in $(SITELIB_META); do mkdir -p "$(prefix)$(OCAML_SITELIB)/$$x"; cp site-lib-src/$$x/META "$(prefix)$(OCAML_SITELIB)/$$x"; done
+	for x in $(SITELIB_META); do mkdir -p "$(prefix)$(OCAML_SITELIB)/$$x"; cp site-lib-src/$$x/META "$(prefix)$(OCAML_SITELIB)/$$x/META.tmp" && mv "$(prefix)$(OCAML_SITELIB)/$$x/META.tmp" "$(prefix)$(OCAML_SITELIB)/$$x/META"; done
 	mkdir -p "$(prefix)$(OCAML_SITELIB)/findlib"; cp Makefile.packages "$(prefix)$(OCAML_SITELIB)/findlib/Makefile.packages"
 
 .PHONY: uninstall-meta
