=== debian/changelog ===
findlib (1.9.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Mar 2022 07:41:34 +0100
